import { baseRequest } from '@/utils/request'

const request = (url, ...arg) => baseRequest(`/biz/sysUserWxOpenSendSet/` + url, ...arg)

/**
 * 用户微信推送内容订阅表Api接口管理器
 *
 * @author xiang
 * @date  2023/12/13 09:05
 **/
export default {
	// 获取用户微信推送内容订阅表分页
	sysUserWxOpenSendSetPage(data) {
		return request('page', data, 'get')
	},
	// 获取用户微信推送内容订阅表列表
	sysUserWxOpenSendSetList(data) {
		return request('list', data, 'get')
	},
	// 提交用户微信推送内容订阅表表单 edit为true时为编辑，默认为新增
	sysUserWxOpenSendSetSubmitForm(data, edit = false) {
		return request(edit ? 'add' : 'edit', data)
	},
	// 删除用户微信推送内容订阅表
	sysUserWxOpenSendSetDelete(data) {
		return request('delete', data)
	},
	// 获取用户微信推送内容订阅表详情
	sysUserWxOpenSendSetDetail(data) {
		return request('detail', data, 'get')
	}
}
